# Interface SyScrollBarReadableType

All Superinterfaces:
  `SyActiveReadableType, SyBoundedReadableType<SySpaceParentRelativeType>, SyComponentReadableType, SyKeyboardFocusableReadableType, SyMouseFocusAcceptingReadableType, SySizedReadableType<SySpaceParentRelativeType>, SyThemeableReadableType, SyVisibleReadableType`

All Known Subinterfaces:
  `SyScrollBarHorizontalReadableType, SyScrollBarHorizontalType, SyScrollBarType, SyScrollBarVerticalReadableType, SyScrollBarVerticalType`

public interface SyScrollBarReadableType extends SyComponentReadableType
Read-only access to scrollbars.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `scrollAmountShown()`
  `double`
  `scrollIncrementSize()`
  Based on the current snapping setting and scrollbar size, determine a reasonable value to use to increment or decrement the current scroll position.
  `double`
  `scrollPosition()`
  `double`
  `scrollPositionSnapping()`
  `SyComponentReadableType`
  `thumb()`
  `SyComponentReadableType`
  `track()`

  ### Methods inherited from interface SyActiveReadableType

  `activity, isMouseOver`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea, position`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyKeyboardFocusableReadableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SySizedReadableType

  `size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesDefaultForComponent, themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleReadableType

  `visibility`

- ## Method Details

  - ### thumb

    SyComponentReadableType thumb()
    Returns:
      The scrollbar thumb

  - ### track

    SyComponentReadableType track()
    Returns:
      The scrollbar track

  - ### scrollAmountShown

    double scrollAmountShown()
    Returns:
      The scroll amount shown in the range `[0, 1]`

  - ### scrollPosition

    double scrollPosition()
    Returns:
      The scroll position in the range `[0, 1]`

  - ### scrollPositionSnapping

    double scrollPositionSnapping()
    Returns:
      The scroll position snapping value in the range `[0, 1]`

  - ### scrollIncrementSize

    double scrollIncrementSize()
    Based on the current snapping setting and scrollbar size, determine a reasonable value to use to increment or decrement the current scroll position. This is used to implement up/down/left/right arrow buttons on scrollbars.
    Returns:
      The size of a single scroll increment in the range `[0, 1]`